Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services.ajax
Class MultiZoneUpdateEventResultProcessor

    java.lang.Object
      org.apache.tapestry5.internal.services.ajax.MultiZoneUpdateEventResultProcessor

All Implemented Interfaces:
  ComponentEventResultProcessor<MultiZoneUpdate>

Deprecated. Deprecated in 5.3

    public class MultiZoneUpdateEventResultProcessor

extends java.lang.Object
implements ComponentEventResultProcessor<MultiZoneUpdate>

Handler for `MultiZoneUpdate` responses from a component event handler method. Works by adding `SingleZonePartialRendererFilter`s for each zone to the filter stack. Each zone writes its content as a string in the zones object of the reply, keyed on its id. JavaScript and CSS are collected for all zones rendered in the request (not for each individual zone). The final response will have some combination of "script", "scripts", "stylesheets", "content" (which is expected to be blank) and "zones".

Since:
  5.1.0.1

Constructor Summary
`MultiZoneUpdateEventResultProcessor(TypeCoercer typeCoercer, AjaxResponseRenderer ajaxResponseRenderer, AjaxPartialResponseRenderer partialRenderer)` Deprecated.

Method Summary
`void` | `processResultValue(MultiZoneUpdate value)` Deprecated. For a given, non-null return value from a component event method, construct and send a response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiZoneUpdateEventResultProcessor

    public MultiZoneUpdateEventResultProcessor(TypeCoercer typeCoercer,
                                               AjaxResponseRenderer ajaxResponseRenderer,
                                               AjaxPartialResponseRenderer partialRenderer)

  Deprecated.

Method Detail

### processResultValue

    public void processResultValue(MultiZoneUpdate value)
                            throws java.io.IOException

  Deprecated.
  Description copied from interface: `ComponentEventResultProcessor`
  For a given, non-null return value from a component event method, construct and send a response.

  Specified by:
    `processResultValue` in interface `ComponentEventResultProcessor<MultiZoneUpdate>`
  Parameters:
    `value` - the value returned from a method
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.